Bug 93589 - Convert slides to raster graphics
Summary: Convert slides to raster graphics
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevAdvice
Depends on:
Blocks:
 
Reported: 2015-08-22 07:18 UTC by Roeland
Modified: 2022-08-25 07:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roeland 2015-08-22 07:18:44 UTC
In PowerPoint there's an option to save as "PowerPoint Picture Presentation". Saving your PowerPoint with this option creates a new presentation, wherein all slides have been transformed to pictures.

The presentation contains all the slides and has the pptx extension (note the difference with exporting your presentation as images!).

This is a really usefull feature in interoperability cases, because it's a nice way to keep your presentation as is, without any formating issues if you port it to another computer.

If there would be something similar in libreoffice, this would really be helpfull.
Comment 1 tommy27 2015-08-22 12:46:32 UTC
nice idea. status NEW.
Comment 2 Gerry 2015-08-24 15:46:47 UTC
@Roeland: Thanks for the idea. Is there any advantage compared to the export of a presentation to PDF and present it in the PDF Reader?
Comment 3 Roeland 2015-08-24 16:29:09 UTC
Hi Gerry,

There are several advantages:

It is easier to show a presentation in the Impress/PowerPoint module if you're required to do it for an audience. Using the PDF viewer is not always useable in this situation. 

Sometimes people are required to hand in a presentation at school, to a customer/ client in the ppt(x) format. Sending a Picture Presentation is a really good way to keep all the formatting/text as intended. 

One thing that is lacking in PowerPoint is a warning that you lose all your formatting if you save as Picture Presentation (and by doing that overwriting your original file). Maybe if this option is added, the default behavior should be to create a new file.
Comment 4 Roeland 2015-08-24 18:24:24 UTC
My suggestion would also be to offer a choice to either save as an odp or pptx Picture Presentation every time when the choice is made to save as Picture Presentation.
Comment 5 V Stuart Foote 2021-07-05 17:05:24 UTC
So would this be export only filter, or is there some expectations of a .pptx import filter? None of this is ODF compliant.

And for that, export of Impress presentataion to PDF as a cross platform solution seems sufficient. While currently entire presentations (or selected subset of slides) can be exported to a series of SVG in SMIL 2.0 multi slide stream (bug 117708 to improve awareness). Exactly the "feature" of the MS proprietary PowerPoint Picture Presentation.

Certainly not in core--but maybe the PPTX picture show filter work could go in an extension.
Comment 6 Heiko Tietze 2021-07-07 07:26:37 UTC
Sounds to me like using proprietary solutions at the maximum.

(In reply to Roeland from comment #3)
> It is easier to show a presentation in the Impress/PowerPoint module if
> you're required to do it for an audience. Using the PDF viewer is not always
> useable in this situation. 

Hard to believe, and LibreOffice can open PDF anyway.

> Sometimes people are required to hand in a presentation at school, to a
> customer/ client in the ppt(x) format. Sending a Picture Presentation is a
> really good way to keep all the formatting/text as intended. 

It's not an argument against PDF (or SVG).



Putting all together I also think it doesn't fit into our feature set. Of course, nothing to say against an extension.
Comment 7 Roeland 2021-07-25 18:15:37 UTC
(In reply to Heiko Tietze from comment #6)

> Hard to believe, and LibreOffice can open PDF anyway.
True, PDF can do a lot of work in case of presentations.


> It's not an argument against PDF (or SVG).

It is, as some schools do have strict requirements about the type of extensions pupils  should use. Submitting as pdf is not an option in this scenario. A pptx picture presentation solves this. This is the main problem that is addressed here.
Comment 8 V Stuart Foote 2021-07-25 20:11:50 UTC
LibreOffice can currently exports all selected slides to SVG (as in see also bug 117708) or exports to PDF, rendering a presentation unmodifieable.

So this feature already exists

LO has no obligation to support non-standards based proprietary MS formats. Writing filter for such formats belongs in extension.

IMHO doing more for MS PowerPoint Picture Presentation remains a clear => WF
Comment 9 Roeland 2021-07-26 13:18:13 UTC
(In reply to V Stuart Foote from comment #8)
> LibreOffice can currently exports all selected slides to SVG (as in see also
> bug 117708) or exports to PDF, rendering a presentation unmodifieable.
> 
> So this feature already exists
> 
> LO has no obligation to support non-standards based proprietary MS formats.
> Writing filter for such formats belongs in extension.
> 
> IMHO doing more for MS PowerPoint Picture Presentation remains a clear => WF

I think you misunderstand what I mean, it doesn't really add a new format (picture presentation just being a denomation of what you get, not a format), this has nothing to do with complying with MS. You just get a presentation where your slides have been transformed to images, if you're working with odp then you get a odp picture presentation, if you're working with pptx then you get a pptx picture presentation.  This helps the user if he/she/x is required to submit a presentation in a propretairy format (Impress is fine but will never deliver a perfect interchangable result, by doing this we circumvent this.)

Anyway, if there's an easy way to get a svg slideshow and convert (import?) this slideshow to (for example) a PPTX or ODP in a usable flow, then this could do the trick as well.
Comment 10 V Stuart Foote 2021-07-26 14:01:52 UTC
(In reply to Roeland from comment #9)

And that is exactly what we will not do--we will not support MS proprietary format of PPTX Picture Presentation.

Impress already exports to standards compliant and opensource SMIL2.0 SVG slideshow.
 
> Anyway, if there's an easy way to get a svg slideshow and convert (import?)
> this slideshow to (for example) a PPTX or ODP in a usable flow, then this
> could do the trick as well.

As noted, neither MS's proprietary Picture Presenation format, nor the SVG produced by LibreOffice are intended to be editable--only viewed. No different than PDF they are not an editable "exchange" format.

The SVG export of presentation slide shows is already provided and => WFM

Providing another external (non-ODF) format for the PPTX derived image presentation is a clear WONTFIX.
Comment 11 Roeland 2021-08-01 18:59:35 UTC
So the SCVG is easily convertible to pptx or odp then? Because this is what this report is about.

Again, this is not a (proprietary) format, just a way of exporting your presentation..
Comment 12 V Stuart Foote 2021-08-01 20:54:13 UTC
(In reply to Roeland from comment #11)
> So the SCVG is easily convertible to pptx or odp then? Because this is what
> this report is about.
> 

No. Multi image SMIL 2.0 SVG is not "easily convertable" to pptx or odp. Think of it more like an uneditable PDF. Delivery of a final viewing only format.

> Again, this is not a (proprietary) format, just a way of exporting your
> presentation..

Sorry, MS pptx "Picture Presentation" is a proprietary format and is not intended to be edited--just viewed.

The LibreOffice supported SMIL 2.0 SVG slide show is the closest you will get from an ODF Presentation. It will open and display cleanly in a web browser.
Comment 13 Roeland 2021-08-30 19:18:52 UTC
(In reply to V Stuart Foote from comment #12)


> Sorry, MS pptx "Picture Presentation" is a proprietary format and is not
> intended to be edited--just viewed.

It is indeed ment not to be edited, which is also the goal of this enhancement request?


So in the end, this request gets closed, without any real alternative when someone wants to have his/her slideshow converted to an uneditable slideshow within the same format? A pity.
Comment 14 Andrea Console 2022-08-22 09:30:26 UTC
I would like to support Roeland's request and ask for the bug to be REOPENED.
I think this is an important feature that LibreOffice Impress is missing.
When I take a presentation with me to a public event, I need this feature because:

- I don't want to leave an editable presentation to my audience.

- The computer I will use may not have a pdf viewer or, best case, may have a pdf viewer that I am unable to use effectively for the presentation (am I supposed to be able to use any pdf viewer on the market?). 

-  Presentation software has a number of functions that are usually not available with pdf viewers (e.g. previewing the next slide). Impress is (also) a software to give presentations; most (if not all) pdf viewer (or the browser) are not comparable.


I would like to make it clear that he required function does not involve any 'proprietary format'. I could create an odp presentation from the images obtained by saving the original presentation as images (and that would be my only choice if I did not have MS Office at my disposal), but it is a lot of work.
Comment 15 Heiko Tietze 2022-08-22 09:54:02 UTC
PDF is omnipresent meanwhile IMO, but what speaks against SVG?
Comment 16 Andrea Console 2022-08-22 11:16:00 UTC
I think points 2 and 3 in the list are self-explanatory.
In general, I think that a tool that you know how to handle (there are not so many options on the market) and that has been made specifically for giving presentations is the only reasonable choice in a professional environment.
Comment 17 Andrea Console 2022-08-22 11:28:27 UTC
To be clear, I am not familiar with a SMIL 2.0 SVG slide show, but I assume that it has none of the nice features that a slide show in Impress offers. If the latters are considered useless, then they should be removed from Impress, too.
Comment 18 Heiko Tietze 2022-08-22 11:30:25 UTC
(In reply to Andrea Console from comment #14)
> - I don't want to leave an editable presentation to my audience.
That's a clear use case- and PDF and SVG provide this.

> - The computer I will use may not have a pdf viewer or, best case, may have
> a pdf viewer that I am unable to use effectively for the presentation (am I
> supposed to be able to use any pdf viewer on the market?). 
Do you have an example?

> -  Presentation software has a number of functions that are usually not
> available with pdf viewers (e.g. previewing the next slide). Impress is
> (also) a software to give presentations; most (if not all) pdf viewer (or
> the browser) are not comparable.
What exactly? If we talk about saving a presentation into raster graphics (PNG or BMP) it wont have more features than to step forward/backward. And PDF reader can do this as well as Internet browsers which are a good choice to open SVG.


The point is that we should focus on important features. The more options we provide the less easy to use becomes the application. Not to speak about additional effort for maintaining the code. Admittedly it's not a big deal in this case but at the same time using PDF or SVG sounds as a perfect solution. So please don't understand my questions as reluctance but careful assessment.
Comment 19 Andrea Console 2022-08-22 11:53:23 UTC
>> - I don't want to leave an editable presentation to my audience.

>That's a clear use case- and PDF and SVG provide this.

Agreed

>> - The computer I will use may not have a pdf viewer or, best case, may have
>> a pdf viewer that I am unable to use effectively for the presentation (am I
>> supposed to be able to use any pdf viewer on the market?). 

>Do you have an example?

Even if we assume that the PC I am going to use for the presentation has a pdf viewer, or a modern browser, I do not know all the products on the market, and in any case I do not know the shortcuts for the functions of the pdf viewer by heart, which means that I could easily ruin the presentation if I were to use software I do not know, which is the least desirable thing when giving a presentation in a professional environment. Why add this extra stress? I usually carry a pdf version of the presentation with me as a fallback solution, but I hope I don't need it.

> -  Presentation software has a number of functions that are usually not
> available with pdf viewers (e.g. previewing the next slide). Impress is
> (also) a software to give presentations; most (if not all) pdf viewer (or
> the browser) are not comparable.

>What exactly? If we talk about saving a presentation into raster graphics (PNG >or BMP) it wont have more features than to step forward/backward. And PDF >reader can do this as well as Internet browsers which are a good choice to open >SVG.

To name a few: next slide, speaking notes, timer.

I find it very disappointing that the Impress slide show capability is considered equivalent to a browser or to a pdf reader if you do not need "special effects" (which, by the way, I do not like).
Comment 20 Andrea Console 2022-08-22 12:07:36 UTC
>So please don't understand my questions as reluctance but careful assessment.

In any case, thank you for your effort of understanding.
I found this thread while looking at the new features of LibreOffice and was saddened to see this request closed.
This is one of the little things that annoy me when I use Impress for work (although it is a very marginal thing. Compatibility issues, which are not Impress's fault, are still the number one problem).
Comment 21 Heiko Tietze 2022-08-25 07:56:08 UTC
(In reply to Andrea Console from comment #19)
> To name a few: next slide, speaking notes, timer.

While raster graphics provide even less features than PDF or SVG, taking notes, being able to draw on slides, and the timer are good reasons to use a presentation tool. So let's reopen and see if this can be done easily.

Katarina, do you think the screenshot tool you implemented could be useful for this too?